<?php

declare(strict_types=1);

namespace App\Entity\Product;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Produit à facturer induit par une action ou un évènement, en fonction du contexte
 * (et pas suite à un choix de l'Access).
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class FictionalIntangible
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}
